Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP
Browse files

FL-595: networkmanager-0.9.8.2, masked for testing

  • Loading branch information...
commit 0aad9b40a491e18f627442f87009c5d51c6b530b 1 parent c9072a7
@angryvincent angryvincent authored
View
1  net-misc/networkmanager/Manifest
@@ -1,2 +1,3 @@
DIST NetworkManager-0.9.6.4.tar.xz 1968564 SHA256 511b411e055d187bc8f26c519fdb3e55e07fc40d4adecbbec623c0249380a7eb SHA512 900eb30f7fed35d43f2c1003fcf7fc0b6ab9c5a9f0a14777d4636372376af8477e63fc7fc9b05d2f281d48de658d96d9b30f44851af8ae2b4271bb2b5c2cb669 WHIRLPOOL b87903e4cbb3efcec17b25e74dd67dc6a81a6d553df57e9c699bb1f0d40fe6d611953f6baaeca48ef4387316980d775ec2b07a9df06ecb5f03c10dffc2b60584
DIST NetworkManager-0.9.8.0.tar.xz 2056356 SHA256 c366bcded6354d8186ad93c05d26d6a20bc550aa0391f974704e7a60e9f6096b SHA512 a13cf044b405ecafe1c28f6b0796e62968e4090862ec45eae48fd65c644f520b45107e37c97150e4f9c47d50de7663c0e74baeb2cade4b5f0736dede4d79c398 WHIRLPOOL 9449c404fade944cc2d3f267894bafc9574e6da4f93534151d7e41b6f8c55cb417bab89b09add3a06278467483cf64ccdc3651d29646ead0c46251fecd678284
+DIST NetworkManager-0.9.8.2.tar.xz 1967452 SHA256 5c0b2f71b2f61e0dfbe95cebad83001758db252d5cdf5b6f7ceebac9c6bd7ead SHA512 a731b85d267bcbd837960b0b1bec2c8ec0458180a751bce353e763e9fca033dfc8101a1267101dadcc8984138a4b693a198a09c15acd7faab3930f98c8246775 WHIRLPOOL 788c3f07f66aca9099349a1a8325cf4ba5c23665d019c508baf4bf037f77316379a1c47c1eb67d4ab6ef845ff6a783e2453d6ff50cde6b830d36f2d5cd648e3c
View
233 net-misc/networkmanager/networkmanager-0.9.8.2.ebuild
@@ -0,0 +1,233 @@
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="5"
+GNOME_ORG_MODULE="NetworkManager"
+VALA_MIN_API_VERSION="0.18"
+VALA_USE_DEPEND="vapigen"
+
+inherit eutils gnome.org linux-info systemd user readme.gentoo toolchain-funcs vala virtualx udev
+
+DESCRIPTION="Universal network configuration daemon for laptops, desktops, servers and virtualization hosts"
+HOMEPAGE="http://projects.gnome.org/NetworkManager/"
+
+LICENSE="GPL-2+"
+SLOT="0" # add subslot if libnm-util.so.2 or libnm-glib.so.4 bumps soname version
+IUSE="avahi bluetooth connection-sharing +consolekit dhclient +dhcpcd gnutls
++introspection kernel_linux +nss modemmanager +ppp resolvconf systemd test vala
++wext" # wimax
+KEYWORDS="~*"
+
+REQUIRED_USE="
+ modemmanager? ( ppp )
+ ^^ ( nss gnutls )
+ ^^ ( dhclient dhcpcd )
+ ?? ( consolekit systemd )
+"
+
+# gobject-introspection-0.10.3 is needed due to gnome bug 642300
+# wpa_supplicant-0.7.3-r3 is needed due to bug 359271
+# TODO: Qt support?
+COMMON_DEPEND="
+ >=sys-apps/dbus-1.2
+ >=dev-libs/dbus-glib-0.94
+ >=dev-libs/glib-2.30
+ >=dev-libs/libnl-3.2.7:3=
+ >=sys-auth/polkit-0.106
+ >=net-libs/libsoup-2.26:2.4=
+ >=net-wireless/wpa_supplicant-0.7.3-r3[dbus]
+ >=virtual/udev-165[gudev]
+ bluetooth? ( >=net-wireless/bluez-4.82 )
+ avahi? ( net-dns/avahi:=[autoipd] )
+ connection-sharing? (
+ net-dns/dnsmasq
+ net-firewall/iptables )
+ gnutls? (
+ dev-libs/libgcrypt:=
+ net-libs/gnutls:= )
+ modemmanager? ( >=net-misc/modemmanager-0.7.991 )
+ nss? ( >=dev-libs/nss-3.11:= )
+ dhclient? ( =net-misc/dhcp-4*[client] )
+ dhcpcd? ( >=net-misc/dhcpcd-4.0.0_rc3 )
+ introspection? ( >=dev-libs/gobject-introspection-0.10.3 )
+ ppp? ( >=net-dialup/ppp-2.4.5[ipv6] )
+ resolvconf? ( net-dns/openresolv )
+ systemd? ( >=sys-apps/systemd-200 )
+ !systemd? ( sys-power/upower )
+"
+RDEPEND="${COMMON_DEPEND}
+ consolekit? ( sys-auth/consolekit )
+ net-wireless/rfkill
+ =dev-lang/python-3*
+"
+DEPEND="${COMMON_DEPEND}
+ dev-util/gtk-doc-am
+ >=dev-util/intltool-0.40
+ >=sys-devel/gettext-0.17
+ >=sys-kernel/linux-headers-2.6.29
+ virtual/pkgconfig
+ vala? ( $(vala_depend) )
+ test? (
+ dev-lang/python:2.7
+ dev-python/dbus-python[python_targets_python2_7]
+ dev-python/pygobject:2[python_targets_python2_7] )
+"
+
+sysfs_deprecated_check() {
+ ebegin "Checking for SYSFS_DEPRECATED support"
+
+ if { linux_chkconfig_present SYSFS_DEPRECATED_V2; }; then
+ eerror "Please disable SYSFS_DEPRECATED_V2 support in your kernel config and recompile your kernel"
+ eerror "or NetworkManager will not work correctly."
+ eerror "See http://bugs.gentoo.org/333639 for more info."
+ die "CONFIG_SYSFS_DEPRECATED_V2 support detected!"
+ fi
+ eend $?
+}
+
+pkg_pretend() {
+ if use kernel_linux; then
+ get_version
+ if linux_config_exists; then
+ sysfs_deprecated_check
+ else
+ ewarn "Was unable to determine your kernel .config"
+ ewarn "Please note that if CONFIG_SYSFS_DEPRECATED_V2 is set in your kernel .config, NetworkManager will not work correctly."
+ ewarn "See http://bugs.gentoo.org/333639 for more info."
+ fi
+
+ fi
+}
+
+pkg_setup() {
+ enewgroup plugdev
+}
+
+src_prepare() {
+ DOC_CONTENTS="To modify system network connections without needing to enter the
+ root password, add your user account to the 'plugdev' group."
+
+ # Bug #402085, https://bugzilla.gnome.org/show_bug.cgi?id=387832
+ epatch "${FILESDIR}/${PN}-0.9.7.995-pre-sleep.patch"
+
+ # Use python2.7 shebangs for test scripts
+ sed -e 's@\(^#!.*python\)@\12.7@' \
+ -i */tests/*.py || die
+
+ # Fix completiondir, avoid eautoreconf, bug #465100
+ sed -i 's|^completiondir =.*|completiondir = $(datadir)/bash-completion|' \
+ cli/completion/Makefile.in || die "sed completiondir failed"
+
+ epatch_user
+
+ use vala && vala_src_prepare
+
+ # Force use of /run, avoid eautoreconf
+ sed -e 's:$localstatedir/run/:/run/:' -i configure || die
+
+ default
+}
+
+src_configure() {
+ # TODO: enable wimax when we have a libnl:3 compatible revision of it
+ econf \
+ --disable-more-warnings \
+ --disable-static \
+ --localstatedir=/var \
+ --enable-ifnet \
+ --without-netconfig \
+ --with-dbus-sys-dir=/etc/dbus-1/system.d \
+ --with-udev-dir="$(udev_get_udevdir)" \
+ --with-iptables=/sbin/iptables \
+ --enable-concheck \
+ --with-crypto=$(usex nss nss gnutls) \
+ --with-session-tracking=$(usex consolekit consolekit $(usex systemd systemd no)) \
+ --with-suspend-resume=$(usex systemd systemd upower) \
+ $(use_enable introspection) \
+ $(use_enable ppp) \
+ --disable-wimax \
+ $(use_with dhclient) \
+ $(use_with dhcpcd) \
+ $(use_with modemmanager modem-manager-1) \
+ $(use_with resolvconf) \
+ $(use_enable test tests) \
+ $(use_enable vala) \
+ $(use_with wext) \
+ "$(systemd_with_unitdir)"
+}
+
+src_test() {
+ cp libnm-util/tests/certs/test_ca_cert.pem src/settings/plugins/ifnet/tests/ || die
+ Xemake check
+}
+
+src_install() {
+ default
+
+ readme.gentoo_create_doc
+
+ # Gentoo init script
+ newinitd "${FILESDIR}/init.d.NetworkManager" NetworkManager
+
+ # /var/run/NetworkManager is used by some distros, but not by Gentoo
+ rmdir -v "${ED}/var/run/NetworkManager" || die "rmdir failed"
+
+ # Need to keep the /etc/NetworkManager/dispatched.d for dispatcher scripts
+ keepdir /etc/NetworkManager/dispatcher.d
+
+ if use systemd; then
+ # Our init.d script requires running a dispatcher script that annoys
+ # systemd users; bug #434692
+ rm -rv "${ED}/etc/init.d" || die "rm failed"
+ else
+ # Provide openrc net dependency only when nm is connected
+ exeinto /etc/NetworkManager/dispatcher.d
+ newexe "${FILESDIR}/10-openrc-status-r3" 10-openrc-status
+ sed -e "s:@EPREFIX@:${EPREFIX}:g" \
+ -i "${ED}/etc/NetworkManager/dispatcher.d/10-openrc-status" || die
+ fi
+
+ # Add keyfile plugin support
+ keepdir /etc/NetworkManager/system-connections
+ chmod 0600 "${ED}"/etc/NetworkManager/system-connections/.keep* # bug #383765
+ insinto /etc/NetworkManager
+ newins "${FILESDIR}/nm-system-settings.conf-ifnet" NetworkManager.conf
+
+ # Allow users in plugdev group to modify system connections
+ insinto /usr/share/polkit-1/rules.d/
+ doins "${FILESDIR}/01-org.freedesktop.NetworkManager.settings.modify.system.rules"
+
+ # Remove useless .la files
+ prune_libtool_files --modules
+ dosbin ${FILESDIR}/addwifi
+}
+
+pkg_postinst() {
+ readme.gentoo_print_elog
+
+ if [[ -e "${EROOT}etc/NetworkManager/nm-system-settings.conf" ]]; then
+ ewarn "The ${PN} system configuration file has moved to a new location."
+ ewarn "You must migrate your settings from ${EROOT}/etc/NetworkManager/nm-system-settings.conf"
+ ewarn "to ${EROOT}etc/NetworkManager/NetworkManager.conf"
+ ewarn
+ ewarn "After doing so, you can remove ${EROOT}etc/NetworkManager/nm-system-settings.conf"
+ fi
+
+ # The polkit rules file moved to /usr/share
+ old_rules="${EROOT}etc/polkit-1/rules.d/01-org.freedesktop.NetworkManager.settings.modify.system.rules"
+ if [[ -f "${old_rules}" ]]; then
+ case "$(md5sum ${old_rules})" in
+ 574d0cfa7e911b1f7792077003060240* )
+ # Automatically delete the old rules.d file if the user did not change it
+ elog
+ elog "Removing old ${old_rules} ..."
+ rm -f "${old_rules}" || eerror "Failed, please remove ${old_rules} manually"
+ ;;
+ * )
+ elog "The ${old_rules}"
+ elog "file moved to /usr/share/polkit-1/rules.d/ in >=networkmanager-0.9.4.0-r4"
+ elog "If you edited ${old_rules}"
+ elog "without changing its behavior, you may want to remove it."
+ ;;
+ esac
+ fi
+}
View
5 profiles/package.mask/funtoo-staging
@@ -1,6 +1,11 @@
# Keep the most recent masks in a reverse chrono order
# newest on top
+# Oleg Vinichenko (25 Jun 2013)
+# new networkmanager ebuild, masked for testing, policykit
+# use flag removed, in favor of explicit polkit dep. FL-595
+>=net-misc/networkmanager-0.9.8.2
+
# Ryan Harris
# Testing mask, updated eselect to support pure64 profile
>=app-admin/eselect-1.3.5
Please sign in to comment.
Something went wrong with that request. Please try again.